@article{Brzozowski,
 author = {Brzozowski, Janusz A.},
 title = {Derivatives of Regular Expressions},
 journal = {J. ACM},
 issue_date = {Oct. 1964},
 volume = {11},
 number = {4},
 month = oct,
 year = {1964},
 issn = {0004-5411},
 pages = {481--494},
 numpages = {14},
 url = {http://doi.acm.org/10.1145/321239.321249},
 doi = {10.1145/321239.321249},
 acmid = {321249},
 publisher = {ACM},
 address = {New York, NY, USA},
}
@article{earley,
 author = {Earley, Jay},
 title = {An Efficient Context-free Parsing Algorithm},
 journal = {Commun. ACM},
 issue_date = {Feb 1970},
 volume = {13},
 number = {2},
 month = feb,
 year = {1970},
 issn = {0001-0782},
 pages = {94--102},
 numpages = {9},
 url = {http://doi.acm.org/10.1145/362007.362035},
 doi = {10.1145/362007.362035},
 acmid = {362035},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {compilers, computational complexity, context-free grammar, parsing, syntax analysis},
}
@article{rtn,
 author = {Woods, W. A.},
 title = {Transition Network Grammars for Natural Language Analysis},
 journal = {Commun. ACM},
 issue_date = {Oct. 1970},
 volume = {13},
 number = {10},
 month = oct,
 year = {1970},
 issn = {0001-0782},
 pages = {591--606},
 numpages = {16},
 url = {http://doi.acm.org/10.1145/355598.362773},
 doi = {10.1145/355598.362773},
 acmid = {362773},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {computational linguistics, grammar models, grammars, linguistics, natural languages analysis, parsing, semantic interpretation, transformational grammars, transition network grammars},
}
@article{lr-regular,
  title = "LR-regular grammars—an extension of LR(k) grammars",
  journal = "Journal of Computer and System Sciences",
  volume = "7",
  number = "1",
  pages = "66 - 96",
  year = "1973",
  issn = "0022-0000",
  doi = "https://doi.org/10.1016/S0022-0000(73)80050-9",
  url = "http://www.sciencedirect.com/science/article/pii/S0022000073800509",
  author = "Karel Čulik and Rina Cohen",
}
@book{rational,
 author = {Eilenberg, Samuel},
 title = {Automata, Languages, and Machines},
 year = {1974},
 isbn = {0122340019},
 publisher = {Academic Press, Inc.},
 address = {Orlando, FL, USA},
}
@inproceedings{pda-simulation,
 author = {Lang, Bernard},
 title = {Deterministic Techniques for Efficient Non-Deterministic Parsers},
 booktitle = {Proceedings of the 2Nd Colloquium on Automata, Languages and Programming},
 year = {1974},
 isbn = {3-540-06841-4},
 pages = {255--269},
 numpages = {15},
 url = {http://dl.acm.org/citation.cfm?id=646230.681872},
 acmid = {681872},
 publisher = {Springer-Verlag},
 address = {London, UK, UK},
}
@article{rrpg,
 author = {LaLonde, Wilf R.},
 title = {Regular Right Part Grammars and Their Parsers},
 journal = {Commun. ACM},
 issue_date = {Oct. 1977},
 volume = {20},
 number = {10},
 month = oct,
 year = {1977},
 issn = {0001-0782},
 pages = {731--741},
 numpages = {11},
 url = {http://doi.acm.org/10.1145/359842.359853},
 doi = {10.1145/359842.359853},
 acmid = {359853},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {LR(k) grammars, compilers, finite state machines (automata), formal definition, language generation, parser construction, parsing, programming languages, regular expressions, scanners, syntax diagrams, translators},
}
@article {upper-bounds,
  title = {Upper bounds on the size of LR (k) parsers},
  author = {Ukkonen, Esko},
  journal = {Information processing letters},
  Volume = {20},
  number = {2},
  pages = {99-103},
  year = {1985},
  Publisher = {Elsevier}
}
@book{tomita,
 author = {Tomita, Masaru},
 title = {Efficient Parsing for Natural Language: A Fast Algorithm for Practical Systems},
 year = {1985},
 isbn = {0898382025},
 publisher = {Kluwer Academic Publishers},
 address = {Norwell, MA, USA},
}
@inproceedings{gss,
 author = {Tomita, Masaru},
 title = {Graph-structured Stack and Natural Language Parsing},
 booktitle = {Proceedings of the 26th Annual Meeting on Association for Computational Linguistics},
 series = {ACL '88},
 year = {1988},
 location = {Buffalo, New York},
 pages = {249--257},
 numpages = {9},
 url = {https://doi.org/10.3115/982023.982054},
 doi = {10.3115/982023.982054},
 acmid = {982054},
 publisher = {Association for Computational Linguistics},
 address = {Stroudsburg, PA, USA},
}
@inproceedings{sppf-structure,
 author = {Billot, Sylvie and Lang, Bernard},
 title = {The Structure of Shared Forests in Ambiguous Parsing},
 booktitle = {Proceedings of the 27th Annual Meeting on Association for Computational Linguistics},
 series = {ACL '89},
 year = {1989},
 location = {Vancouver, British Columbia, Canada},
 pages = {143--151},
 numpages = {9},
 url = {https://doi.org/10.3115/981623.981641},
 doi = {10.3115/981623.981641},
 acmid = {981641},
 publisher = {Association for Computational Linguistics},
 address = {Stroudsburg, PA, USA},
 keywords = {Ambiguity, Chart Parsing, Context-Free Parsing, Dynamic Programming, Earley Parsing, Parse Forest, Parse Tree, Parsing Schemata, Parsing Strategies},
}
@article{leo,
 author = {Leo, Joop M. I. M.},
 title = {A General Context-free Parsing Algorithm Running in Linear Time on Every LR(K) Grammar Without Using Lookahead},
 journal = {Theor. Comput. Sci.},
 issue_date = {May 22, 1991},
 volume = {82},
 number = {1},
 month = may,
 year = {1991},
 issn = {0304-3975},
 pages = {165--176},
 numpages = {12},
 url = {http://dx.doi.org/10.1016/0304-3975(91)90180-A},
 doi = {10.1016/0304-3975(91)90180-A},
 acmid = {113998},
 publisher = {Elsevier Science Publishers Ltd.},
 address = {Essex, UK},
}
@inproceedings{glc,
 author = {Nederhof, Mark-Jan},
 title = {Generalized Left-corner Parsing},
 booktitle = {Proceedings of the Sixth Conference on European Chapter of the Association for Computational Linguistics},
 series = {EACL '93},
 year = {1993},
 isbn = {90-5434-014-2},
 location = {Utrecht, The Netherlands},
 pages = {305--314},
 numpages = {10},
 url = {https://doi.org/10.3115/976744.976780},
 doi = {10.3115/976744.976780},
 acmid = {976780},
 publisher = {Association for Computational Linguistics},
 address = {Stroudsburg, PA, USA},
 keywords = {chart parsing, generalized LR parsing, hidden left recursion, left-corner parsing},
}
@article{semiring,
 author = {Goodman, Joshua},
 title = {Semiring Parsing},
 journal = {Comput. Linguist.},
 issue_date = {December 1999},
 volume = {25},
 number = {4},
 month = dec,
 year = {1999},
 issn = {0891-2017},
 pages = {573--605},
 numpages = {33},
 url = {http://dl.acm.org/citation.cfm?id=973226.973230},
 acmid = {973230},
 publisher = {MIT Press},
 address = {Cambridge, MA, USA},
}
@article{conjunctive,
 author = {Okhotin, Alexander},
 title = {Conjunctive Grammars},
 journal = {J. Autom. Lang. Comb.},
 issue_date = {April 2001},
 volume = {6},
 number = {4},
 month = apr,
 year = {2001},
 issn = {1430-189X},
 pages = {519--535},
 numpages = {17},
 url = {http://dl.acm.org/citation.cfm?id=543313.543323},
 acmid = {543323},
 publisher = {Otto-von-Guericke-Universitat},
 address = {Magdeburg, Germany, Germany},
 keywords = {conjuctive grammar, context-free grammar, descriptional complexity, intersection, parsing},
}
@incollection{ambiguity-packing,
 author = {Lavie, Alon and Ros{\'e}, Carolyn Penstein},
 chapter = {Optimal Ambiguity Packing in Context-free Parsers with Interleaved Unification},
 title = {New Developments in Parsing Technology},
 editor = {Bunt, Harry and Carroll, John and Satta, Giorgio},
 year = {2004},
 isbn = {1-4020-2293-X},
 pages = {307--321},
 numpages = {15},
 url = {http://dl.acm.org/citation.cfm?id=1139041.1139057},
 acmid = {1139057},
 publisher = {Kluwer Academic Publishers},
 address = {Norwell, MA, USA},
}
@inproceedings{some-costs,
 author = {Johnstone, Adrian and Scott, Elizabeth and Economopoulos, Giorgios},
 editor = {Duesterwald, Evelyn},
 title = {Generalised Parsing: Some Costs},
 booktitle={International Conference on Compiler Construction},
 pages={89--103},
 year={2004},
 organization={Springer},
 publisher = {Springer Berlin Heidelberg},
 address = {Berlin, Heidelberg},
 isbn = {978-3-540-24723-4}
}
@incollection{glc-improved,
 author = {Moore, Robert C.},
 chapter = {Improved Left-corner Chart Parsing for Large Context-free Grammars},
 title = {New Developments in Parsing Technology},
 editor = {Bunt, Harry and Carroll, John and Satta, Giorgio},
 year = {2004},
 isbn = {1-4020-2293-X},
 pages = {185--201},
 numpages = {17},
 url = {http://dl.acm.org/citation.cfm?id=1139041.1139051},
 acmid = {1139051},
 publisher = {Kluwer Academic Publishers},
 address = {Norwell, MA, USA},
}
@article{rnglr-optimize,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {Reducing Non-determinism in Right Nulled GLR Parsers},
 journal = {Acta Inf.},
 issue_date = {May       2004},
 volume = {40},
 number = {6-7},
 month = may,
 year = {2004},
 issn = {0001-5903},
 pages = {459--489},
 numpages = {31},
 url = {http://dx.doi.org/10.1007/s00236-004-0137-z},
 doi = {10.1007/s00236-004-0137-z},
 acmid = {2697535},
 publisher = {Springer-Verlag New York, Inc.},
 address = {Secaucus, NJ, USA},
}
@article{riglr,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {Generalized Bottom Up Parsers With Reduced Stack Activity},
 journal = {Comput. J.},
 issue_date = {September 2005},
 volume = {48},
 number = {5},
 month = sep,
 year = {2005},
 issn = {0010-4620},
 pages = {565--587},
 numpages = {23},
 url = {http://dx.doi.org/10.1093/comjnl/bxh102},
 doi = {10.1093/comjnl/bxh102},
 acmid = {1095016},
 publisher = {Oxford University Press},
 address = {Oxford, UK},
}
@article{rnglr,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {Right Nulled GLR Parsers},
 journal = {ACM Trans. Program. Lang. Syst.},
 issue_date = {July 2006},
 volume = {28},
 number = {4},
 month = jul,
 year = {2006},
 issn = {0164-0925},
 pages = {577--618},
 numpages = {42},
 url = {http://doi.acm.org/10.1145/1146809.1146810},
 doi = {10.1145/1146809.1146810},
 acmid = {1146810},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {General context-free grammars, generalized LR parsing},
}
@article{riglr-optimize,
 author = {Johnstone, Adrian and Scott, Elizabeth},
 title = {Automatic Recursion Engineering of Reduction Incorporated Parsers},
 journal = {Sci. Comput. Program.},
 issue_date = {September, 2007},
 volume = {68},
 number = {2},
 month = sep,
 year = {2007},
 issn = {0167-6423},
 pages = {95--110},
 numpages = {16},
 url = {http://dx.doi.org/10.1016/j.scico.2006.04.011},
 doi = {10.1016/j.scico.2006.04.011},
 acmid = {1288025},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Context free languages, RI parsing, Recursion analysis},
}
@article{brnglr,
 author = {Scott, Elizabeth and Johnstone, Adrian and Economopoulos, Rob},
 title = {BRNGLR: A Cubic Tomita-style GLR Parsing Algorithm},
 journal = {Acta Inf.},
 issue_date = {September 2007},
 volume = {44},
 number = {6},
 month = sep,
 year = {2007},
 issn = {0001-5903},
 pages = {427--461},
 numpages = {35},
 url = {http://dx.doi.org/10.1007/s00236-007-0054-z},
 doi = {10.1007/s00236-007-0054-z},
 acmid = {1289815},
 publisher = {Springer-Verlag New York, Inc.},
 address = {Secaucus, NJ, USA},
}
@article{cyk-2nf,
  author    = {Martin Lange and Hans Lei{\ss}},
  title     = {To {CNF} or not to CNF? An Efficient Yet Presentable Version of the {CYK} Algorithm},
  journal   = {Informatica Didactica},
  volume    = {8},
  year      = {2009},
  url       = {http://www.informatica-didactica.de/index.php?page=LangeLeiss2009},
  timestamp = {Tue, 09 Jan 2018 12:59:02 +0100},
  biburl    = {https://dblp.org/rec/bib/journals/didactica/LangeL09},
  bibsource = {dblp computer science bibliography, https://dblp.org},
}
@inproceedings{taxonomy,
 author = {Hemerik, Kees},
 title = {Towards a Taxonomy for ECFG and RRPG Parsing},
 booktitle = {Proceedings of the 3rd International Conference on Language and Automata Theory and Applications},
 series = {LATA '09},
 year = {2009},
 isbn = {978-3-642-00981-5},
 location = {Tarragona, Spain},
 pages = {410--421},
 numpages = {12},
 url = {http://dx.doi.org/10.1007/978-3-642-00982-2_35},
 doi = {10.1007/978-3-642-00982-2_35},
 acmid = {1533246},
 publisher = {Springer-Verlag},
 address = {Berlin, Heidelberg},
}
@book{grune,
 author = {Grune, Dick},
 title = {Parsing Techniques: A Practical Guide},
 year = {2010},
 isbn = {1441919015, 9781441919014},
 edition = {2nd},
 publisher = {Springer Publishing Company, Incorporated},
}
@article{gll,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {GLL Parsing},
 journal = {Electron. Notes Theor. Comput. Sci.},
 issue_date = {September, 2010},
 volume = {253},
 number = {7},
 month = sep,
 year = {2010},
 issn = {1571-0661},
 pages = {177--189},
 numpages = {13},
 url = {http://dx.doi.org/10.1016/j.entcs.2010.08.041},
 doi = {10.1016/j.entcs.2010.08.041},
 acmid = {1860320},
 publisher = {Elsevier Science Publishers B. V.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {RNGLR and RIGLR parsing, context free languages, generalised parsing, recursive descent},
}
@article{recognition-not-parsing,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {Recognition is Not Parsing - SPPF-style Parsing from Cubic Recognisers},
 journal = {Sci. Comput. Program.},
 issue_date = {January, 2010},
 volume = {75},
 number = {1-2},
 month = jan,
 year = {2010},
 issn = {0167-6423},
 pages = {55--70},
 numpages = {16},
 url = {http://dx.doi.org/10.1016/j.scico.2009.07.001},
 doi = {10.1016/j.scico.2009.07.001},
 acmid = {1660612},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Context free languages, Cubic generalised parsing, Earley parsing, RIGLR parsing},
}
@inproceedings{derivatives,
 author = {Might, Matthew and Darais, David and Spiewak, Daniel},
 title = {Parsing with Derivatives: A Functional Pearl},
 booktitle = {Proceedings of the 16th ACM SIGPLAN International Conference on Functional Programming},
 series = {ICFP '11},
 year = {2011},
 isbn = {978-1-4503-0865-6},
 location = {Tokyo, Japan},
 pages = {189--195},
 numpages = {7},
 url = {http://doi.acm.org/10.1145/2034773.2034801},
 doi = {10.1145/2034773.2034801},
 acmid = {2034801},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {context-free grammar, derivative, formal languages, parser combinator, parsing, regular expressions},
}
@inproceedings{llstar,
 author = {Parr, Terence and Fisher, Kathleen},
 title = {LL(*): The Foundation of the ANTLR Parser Generator},
 booktitle = {Proceedings of the 32Nd ACM SIGPLAN Conference on Programming Language Design and Implementation},
 series = {PLDI '11},
 year = {2011},
 isbn = {978-1-4503-0663-8},
 location = {San Jose, California, USA},
 pages = {425--436},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/1993498.1993548},
 doi = {10.1145/1993498.1993548},
 acmid = {1993548},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {augmented transition networks, backtracking, context-sensitive parsing, deterministic finite automata, glr, memoization, nondeterministic parsing, peg, semantic predicates, subset construction, syntactic predicates},
}
@inproceedings{gll-modelling,
 author = {Johnstone, Adrian and Scott, Elizabeth},
 title = {Modelling GLL Parser Implementations},
 booktitle = {Proceedings of the Third International Conference on Software Language Engineering},
 series = {SLE'10},
 year = {2011},
 isbn = {978-3-642-19439-9},
 location = {Eindhoven, The Netherlands},
 pages = {42--61},
 numpages = {20},
 url = {http://dl.acm.org/citation.cfm?id=1964571.1964577},
 acmid = {1964577},
 publisher = {Springer-Verlag},
 address = {Berlin, Heidelberg},
 keywords = {GLL parsing, general context-free parsing, implementation spaces, time-space tradeoffs},
}
@article{gll-forest,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {GLL Parse-tree Generation},
 journal = {Sci. Comput. Program.},
 issue_date = {October, 2013},
 volume = {78},
 number = {10},
 month = oct,
 year = {2013},
 issn = {0167-6423},
 pages = {1828--1844},
 numpages = {17},
 url = {http://dx.doi.org/10.1016/j.scico.2012.03.005},
 doi = {10.1016/j.scico.2012.03.005},
 acmid = {2503980},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Context free languages, GLL parsing, Generalised parsing, RNGLR and RIGLR parsing, Recursive descent},
}
@inproceedings{allstar,
 author = {Parr, Terence and Harwell, Sam and Fisher, Kathleen},
 title = {Adaptive LL(*) Parsing: The Power of Dynamic Analysis},
 booktitle = {Proceedings of the 2014 ACM International Conference on Object Oriented Programming Systems Languages \& Applications},
 series = {OOPSLA '14},
 year = {2014},
 isbn = {978-1-4503-2585-1},
 location = {Portland, Oregon, USA},
 pages = {579--598},
 numpages = {20},
 url = {http://doi.acm.org/10.1145/2660193.2660202},
 doi = {10.1145/2660193.2660202},
 acmid = {2660202},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {all(*), augmented transition networks, dfa, gll, glr, grammar, ll(*), nondeterministic parsing, peg},
}
@inproceedings{recognize-bicontexts,
 author = {Rabkin, Max},
 editor = {Hirsch, Edward A. and Kuznetsov, Sergei O. and Pin, Jean-{\'E}ric and Vereshchagin, Nikolay K.},
 title = {Recognizing Two-Sided Contexts in Cubic Time},
 booktitle = {Computer Science - Theory and Applications},
 year = {2014},
 publisher = {Springer International Publishing},
 address = {Cham},
 pages = {314--324},
 isbn = {978-3-319-06686-8},
 doi = {10.1007/978-3-319-06686-8_24}
}
@article{bicontexts,
 author = {Barash, Mikhail and Okhotin, Alexander},
 title = {Two-sided Context Specifications in Formal Grammars},
 journal = {Theor. Comput. Sci.},
 issue_date = {August 2015},
 volume = {591},
 number = {C},
 month = aug,
 year = {2015},
 issn = {0304-3975},
 pages = {134--153},
 numpages = {20},
 url = {http://dx.doi.org/10.1016/j.tcs.2015.05.004},
 doi = {10.1016/j.tcs.2015.05.004},
 acmid = {2805353},
 publisher = {Elsevier Science Publishers Ltd.},
 address = {Essex, UK},
 keywords = {Conjunctive grammars, Context-free grammars, Context-sensitive grammars, Grammars with contexts, Parsing},
}
@inproceedings{iguana,
 author = {Afroozeh, Ali and Izmaylova, Anastasia},
 title = {One Parser to Rule Them All},
 booktitle = {2015 ACM International Symposium on New Ideas, New Paradigms, and Reflections on Programming and Software (Onward!)},
 series = {Onward! 2015},
 year = {2015},
 isbn = {978-1-4503-3688-8},
 location = {Pittsburgh, PA, USA},
 pages = {151--170},
 numpages = {20},
 url = {http://doi.acm.org/10.1145/2814228.2814242},
 doi = {10.1145/2814228.2814242},
 acmid = {2814242},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {GLL, Parsing, context-aware scanning, data-dependent grammars, disambiguation, offside rule, operator precedence, preprocessor directives, scannerless parsing},
}
@inproceedings{derivatives-fast,
 author = {Adams, Michael D. and Hollenbeck, Celeste and Might, Matthew},
 title = {On the Complexity and Performance of Parsing with Derivatives},
 booktitle = {Proceedings of the 37th ACM SIGPLAN Conference on Programming Language Design and Implementation},
 series = {PLDI '16},
 year = {2016},
 isbn = {978-1-4503-4261-2},
 location = {Santa Barbara, CA, USA},
 pages = {224--236},
 numpages = {13},
 url = {http://doi.acm.org/10.1145/2908080.2908128},
 doi = {10.1145/2908080.2908128},
 acmid = {2908128},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Parsing, Parsing with derivatives, Performance},
}
@article{gll-performance,
 author = {Scott, Elizabeth and Johnstone, Adrian},
 title = {Structuring the GLL Parsing Algorithm for Performance},
 journal = {Sci. Comput. Program.},
 issue_date = {September 2016},
 volume = {125},
 number = {C},
 month = sep,
 year = {2016},
 issn = {0167-6423},
 pages = {1--22},
 numpages = {22},
 url = {https://doi.org/10.1016/j.scico.2016.04.003},
 doi = {10.1016/j.scico.2016.04.003},
 acmid = {2950603},
 publisher = {Elsevier North-Holland, Inc.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 keywords = {Context Free Parsing, GLL parsing, Parsing performance},
}
@inproceedings{combinators,
 author = {Izmaylova, Anastasia and Afroozeh, Ali and Storm, Tijs van der},
 title = {Practical, General Parser Combinators},
 booktitle = {Proceedings of the 2016 ACM SIGPLAN Workshop on Partial Evaluation and Program Manipulation},
 series = {PEPM '16},
 year = {2016},
 isbn = {978-1-4503-4097-7},
 location = {St. Petersburg, FL, USA},
 pages = {1--12},
 numpages = {12},
 url = {http://doi.acm.org/10.1145/2847538.2847539},
 doi = {10.1145/2847538.2847539},
 acmid = {2847539},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Parser combinators, continuation-passing style, general parsing, higher-order functions, left recursion, memoization},
}
@article{glr-with-contexts,
 author = {Barash, Mikhail and Okhotin, Alexander},
 title = {Generalized LR Parsing Algorithm for Grammars with One-Sided Contexts},
 journal = {Theor. Comp. Sys.},
 issue_date = {August    2017},
 volume = {61},
 number = {2},
 month = aug,
 year = {2017},
 issn = {1432-4350},
 pages = {581--605},
 numpages = {25},
 url = {https://doi.org/10.1007/s00224-016-9683-3},
 doi = {10.1007/s00224-016-9683-3},
 acmid = {3125274},
 publisher = {Springer-Verlag New York, Inc.},
 address = {Secaucus, NJ, USA},
 keywords = {Conjunctive grammars, Contexts, Formal grammars, GLR parsing, LR parsing},
}
